View Issue Details

IDProjectCategoryView StatusLast Update
0017754FPCCompilerpublic2011-07-03 21:32
ReporterMarco van de Voort Assigned ToFlorian  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionno change required 
PlatformWin32OSwin32 
Product Version2.5.1 
Summary0017754: cpnewstr's charray_to_ansistr conversion is not ok (due to codepage parameter)
Description
[1.300] Incompatible type for arg no. 2: Got "Boolean", expected "Word"
[1.302] Found declaration: $fpc_widechararray_to_ansistr(const Open Array Of WideChar,Word,Boolean="TRUE"):AnsiString;

with attached sample program.
TagsNo tags attached.
Fixed in Revision?
FPCOldBugId0
FPCTarget
Attached Files

Activities

2010-10-29 20:37

 

Florian

2011-05-15 21:41

administrator   ~0048319

Probably fixed by one of Inoussa's patches.

Marco van de Voort

2011-07-03 21:32

manager   ~0049627

yes. The same command that blocked then, now compiles

Issue History

Date Modified Username Field Change
2010-10-29 20:37 Marco van de Voort New Issue
2010-10-29 20:37 Marco van de Voort File Added: cpwidechararray_to_ansistr.pp
2010-10-29 20:37 Marco van de Voort FPCOldBugId => 0
2011-05-15 21:41 Florian Fixed in Revision => ?
2011-05-15 21:41 Florian Status new => resolved
2011-05-15 21:41 Florian Resolution open => no change required
2011-05-15 21:41 Florian Assigned To => Florian
2011-05-15 21:41 Florian Note Added: 0048319
2011-07-03 21:32 Marco van de Voort Status resolved => closed
2011-07-03 21:32 Marco van de Voort Note Added: 0049627